Mailinglist Archive: opensuse-security-announce (19 mails)

< Previous Next >
[security-announce] SUSE-SU-2012:0903-1: important: Security update for libexif
SUSE Security Update: Security update for libexif
______________________________________________________________________________

Announcement ID: SUSE-SU-2012:0903-1
Rating: important
References: #771229
Cross-References: CVE-2012-2812 CVE-2012-2813 CVE-2012-2814
CVE-2012-2836 CVE-2012-2837 CVE-2012-2840
CVE-2012-2841
Affected Products:
SUSE Linux Enterprise Software Development Kit 11 SP2
SUSE Linux Enterprise Software Development Kit 11 SP1
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server 11 SP1 for VMware
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Desktop 11 SP2
SUSE Linux Enterprise Desktop 11 SP1
______________________________________________________________________________

An update that fixes 7 vulnerabilities is now available.

Description:


Various overflows and other security related bugs in
libexif were found by the Google Security team and fixed
by the libexif developers.

Security Issue references:

* CVE-2012-2812
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-2812
>
* CVE-2012-2813
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-2813
>
* CVE-2012-2814
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-2814
>
* CVE-2012-2836
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-2836
>
* CVE-2012-2837
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-2837
>
* CVE-2012-2840
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-2840
>
* CVE-2012-2841
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-2841
>


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 11 SP2:

zypper in -t patch sdksp1-libexif-6568

- SUSE Linux Enterprise Software Development Kit 11 SP1:

zypper in -t patch sdksp1-libexif-6568

- SUSE Linux Enterprise Server 11 SP2:

zypper in -t patch slessp1-libexif-6568

- SUSE Linux Enterprise Server 11 SP1 for VMware:

zypper in -t patch slessp1-libexif-6568

- SUSE Linux Enterprise Server 11 SP1:

zypper in -t patch slessp1-libexif-6568

- SUSE Linux Enterprise Desktop 11 SP2:

zypper in -t patch sledsp1-libexif-6568

- SUSE Linux Enterprise Desktop 11 SP1:

zypper in -t patch sledsp1-libexif-6568

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Software Development Kit 11 SP2 (i586 ia64 ppc64
s390x x86_64):

libexif-devel-0.6.17-2.14.1

- SUSE Linux Enterprise Software Development Kit 11 SP1 (i586 ia64 ppc64
s390x x86_64):

libexif-devel-0.6.17-2.14.1

- SUSE Linux Enterprise Server 11 SP2 (i586 ia64 ppc64 s390x x86_64):

libexif-0.6.17-2.14.1

- SUSE Linux Enterprise Server 11 SP2 (ppc64 s390x x86_64):

libexif-32bit-0.6.17-2.14.1

- SUSE Linux Enterprise Server 11 SP2 (ia64):

libexif-x86-0.6.17-2.14.1

- SUSE Linux Enterprise Server 11 SP1 for VMware (i586 x86_64):

libexif-0.6.17-2.14.1

- SUSE Linux Enterprise Server 11 SP1 for VMware (x86_64):

libexif-32bit-0.6.17-2.14.1

- SUSE Linux Enterprise Server 11 SP1 (i586 ia64 ppc64 s390x x86_64):

libexif-0.6.17-2.14.1

- SUSE Linux Enterprise Server 11 SP1 (ppc64 s390x x86_64):

libexif-32bit-0.6.17-2.14.1

- SUSE Linux Enterprise Server 11 SP1 (ia64):

libexif-x86-0.6.17-2.14.1

- SUSE Linux Enterprise Desktop 11 SP2 (i586 x86_64):

libexif-0.6.17-2.14.1

- SUSE Linux Enterprise Desktop 11 SP2 (x86_64):

libexif-32bit-0.6.17-2.14.1

- SUSE Linux Enterprise Desktop 11 SP1 (i586 x86_64):

libexif-0.6.17-2.14.1

- SUSE Linux Enterprise Desktop 11 SP1 (x86_64):

libexif-32bit-0.6.17-2.14.1


References:

http://support.novell.com/security/cve/CVE-2012-2812.html
http://support.novell.com/security/cve/CVE-2012-2813.html
http://support.novell.com/security/cve/CVE-2012-2814.html
http://support.novell.com/security/cve/CVE-2012-2836.html
http://support.novell.com/security/cve/CVE-2012-2837.html
http://support.novell.com/security/cve/CVE-2012-2840.html
http://support.novell.com/security/cve/CVE-2012-2841.html
https://bugzilla.novell.com/771229

http://download.novell.com/patch/finder/?keywords=795efea468ff4df45b9a7a62eb66f947

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages